<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.goods.mapper.GoodsPropertyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="goodsPropertyResultMap" type="org.springblade.ldt.goods.entity.GoodsProperty">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="shop_id" property="shopId"/>
        <result column="goods_id" property="goodsId"/>
        <result column="category" property="category"/>
        <result column="property_option" property="propertyOption"/>
        <result column="is_default" property="isDefault"/>
        <result column="rebase_price" property="rebasePrice"/>
        <result column="extra_price" property="extraPrice"/>
    </resultMap>


    <select id="selectGoodsPropertyPage" resultMap="goodsPropertyResultMap">
        select * from ldt_goods_property where is_deleted = 0
    </select>

</mapper>
